> For the complete documentation index, see [llms.txt](https://docs.enclaive.cloud/nitride/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.enclaive.cloud/nitride/cli/log/read.md).

# read

Reads the details of a specific log entry.

## Usage

```
vhsm nitride log read <workload>/<time>/<nonce> [flags]
```

* `<workload>`: the workload name
* `<time>`: the timestamp when the log was created&#x20;
* `<nonce>`: a unique identifier for the log entry

#### Flags

* [Global HTTP Options](/nitride/cli.md#global-options)
* [Output Options](/nitride/cli.md#output-options)
* [Command Options](/nitride/cli.md#command-options)

***

#### Example

```
vhsm nitride log read 3a06c363-8a72-4d29-b300-20f00ed21083/2025-07-14T02:04:25.306610579Z_
```

**Output**

```
Key         Value
---         -----
nonce       n/a
request     map[client_id:0DHqvq2D77kL2/JTPSZkTMJbkFVmUu0TzMi0jiXcFy8= connection:map[remote_addr:192.168.65.1 remote_port:46902] data:map[-format:json report:eyJWZXJzaW9uIjoxLCJQcm92aWRlciI6ImxvY2FsLW5vbmUtZGVidWciLCJBdHRlc3RhdGlvbiI6eyJOb25jZSI6IjdmOGUyYzFhKzRiMmUrNGMxYis5ZTJhKzFhMmIzYzRkNWU2ZiJ9fQo=
] id:000378df-9753-b063-82fa-0c154cffbcf8 mount_accessor:auth_ratls_416e7f00 mount_class:auth mount_point:auth/ratls/ mount_running_version:v1.4.3+builtin.vault mount_type:ratls operation:update path:attestations/3a06c363-8a72-4d29-b300-20f00ed21083/report unauthenticated:true]
response    map[data:map[error:failed attestation: local-none-debug: failed updating: no nonce was set]]
time        2025-07-14T02:04:25.306610579Z
workload    3a06c363-8a72-4d29-b300-20f00ed21083
```

#### Additional Example

Read a specific log entry with a custom namespace:

```
vhsm nitride log read vtpm-ubuntu/1751893334_abcdef123456 -namespace=prod
```

**Output**

```
Key         Value
---         -----
nonce       n/a
request     map[client_id:0DHqvq2D77kL2/JTPSZkTMJbkFVmUu0TzMi0jiXcFy8= connection:map[remote_addr:192.168.65.1 remote_port:46902] data:map[-format:json report:eyJWZXJzaW9uIjoxLCJQcm92aWRlciI6ImxvY2FsLW5vbmUtZGVidWciLCJBdHRlc3RhdGlvbiI6eyJOb25jZSI6IjdmOGUyYzFhKzRiMmUrNGMxYis5ZTJhKzFhMmIzYzRkNWU2ZiJ9fQo=
] id:000378df-9753-b063-82fa-0c154cffbcf8 mount_accessor:auth_ratls_416e7f00 mount_class:auth mount_point:auth/ratls/ mount_running_version:v1.4.3+builtin.vault mount_type:ratls operation:update path:attestations/3a06c363-8a72-4d29-b300-20f00ed21083/report unauthenticated:true]
response    map[data:map[error:failed attestation: local-none-debug: failed updating: no nonce was set]]
time        2025-07-14T02:04:25.306610579Z
workload    3a06c363-8a72-4d29-b300-20f00ed21083
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.enclaive.cloud/nitride/cli/log/read.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
